Bug 129755 - kernel panic with new errata kernel
kernel panic with new errata kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 11:28 EDT by Chris Ricker
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2004-08-12 11:28:02 EDT
I upgraded to kernel-smp-2.4.22-1.2199.nptl

After about 12 hours of uptime, it crashed:

Aug 11 19:51:10 spamstop kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Aug 11 19:51:10 spamstop kernel:  printing eip:
Aug 11 19:51:10 spamstop kernel: c012f1d9
Aug 11 19:51:10 spamstop kernel: *pde = 30bdc001
Aug 11 19:51:10 spamstop kernel: *pte = 0b8ea067
Aug 11 19:51:10 spamstop kernel: Oops: 0002
Aug 11 19:51:10 spamstop kernel: loop 3c59x ipt_REJECT iptable_filter
ip_tables microcode keybdev mousedev hid input usb-ohci usbcore ext3
jbd megaraid2 sd_mod scsi_mod
Aug 11 19:51:10 spamstop kernel: CPU:    1
Aug 11 19:51:10 spamstop kernel: EIP:    0060:[<c012f1d9>]    Not tainted
Aug 11 19:51:10 spamstop kernel: EFLAGS: 00010202
Aug 11 19:51:10 spamstop kernel:
Aug 11 19:51:10 spamstop kernel: EIP is at free_uid [kernel] 0x39
(2.4.22-1.2199.nptlsmp)
Aug 11 19:51:10 spamstop kernel: eax: 00000000   ebx: f798c200   ecx:
f798c20c  edx: 00000000
Aug 11 19:51:10 spamstop kernel: esi: dc852204   edi: dc850684   ebp:
d0006000  esp: dc1bff28
Aug 11 19:51:10 spamstop kernel: ds: 0068   es: 0068   ss: 0068
Aug 11 19:51:10 spamstop kernel: Process amavisd (pid: 30958,
stackpage=dc1bf000)
Aug 11 19:51:10 spamstop kernel: Stack: f798c200 c03758ec 01200011
c0122ca0 f798c200 d0006000 f77c8680 c015d1c4
Aug 11 19:51:10 spamstop kernel:        0000000c f67a7f00 d00060d0
fffffff4 01200011 00000000 bf5db0c8 bfe90cac
Aug 11 19:51:10 spamstop kernel:        c012316e 01200011 bfe90c0c
dc1bffc4 00000000 00000000 bf5db0c8 00000009
Aug 11 19:51:10 spamstop kernel: Call Trace:   [<c0122ca0>]
copy_process [kernel] 0x680 (0xdc1bff34)
Aug 11 19:51:10 spamstop kernel: [<c015d1c4>] do_pipe [kernel] 0x184
(0xdc1bff44)
Aug 11 19:51:10 spamstop kernel: [<c012316e>] do_fork [kernel] 0x4e
(0xdc1bff68)Aug 11 19:51:10 spamstop kernel: [<c0107bd9>] sys_clone
[kernel] 0x49 (0xdc1bffa0)
Aug 11 19:51:10 spamstop kernel: [<c0109b27>] system_call [kernel]
0x33 (0xdc1bffc0)
Aug 11 19:51:10 spamstop kernel:
Aug 11 19:51:10 spamstop kernel:
Aug 11 19:51:10 spamstop kernel: Code: 89 50 04 89 02 c7 41 04 00 00
00 00 c7 43 0c 00 00 00 00 a1


This is a Dell 1750, running spamassassin, amavisd, and postfix

[root@spamstop.knology.com root]# lspci
00:00.0 Host bridge: ServerWorks CNB20-HE Host Bridge (rev 33)
00:00.1 Host bridge: ServerWorks CNB20-HE Host Bridge
00:00.2 Host bridge: ServerWorks CNB20-HE Host Bridge
00:0e.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 Host bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 ISA bridge: ServerWorks GCLE Host Bridge
00:10.0 Host bridge: ServerWorks: Unknown device 0110 (rev 12)
00:10.2 Host bridge: ServerWorks: Unknown device 0110 (rev 12)
00:11.0 Host bridge: ServerWorks: Unknown device 0101 (rev 05)
00:11.2 Host bridge: ServerWorks: Unknown device 0101 (rev 05)
01:04.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado]
(rev 78)
04:03.0 RAID bus controller: Dell Computer Corporation PowerEdge
Expandable RAID controller 4 (rev 02)
[root@spamstop.knology.com root]#
Comment 1 Erik Williamson 2004-09-17 12:11:03 EDT
We're getting the same thing here - 3 servers (Sunfire v60x) have
crashed in the last 2 days.  These are just essentially workstations
that people connect to from home to work on - the only service that
they run is named.  

This occured with kernel-2.4.22-1.2197.nptlsmp, and I've just upgraded
to 2199 - But I see that the reporter is having this problem with 2199.

Here's sample output from one of the three:
csd login: Unable to handle kernel NULL pointer dereference at virtual
address 00000004
*pde = 2623d001
*pte = 00000000
Oops: 0002
nfs lockd sunrpc autofs loop e1000 floppy sg microcode keybdev
mousedev hid input usb-uhci usbcore ext3 jbd aic79xx sd_mod scsi_mod
CPU:    2
EIP:    0060:[<c012f1d9>]    Not tainted
EFLAGS: 00010202
                                                                     
                   
EIP is at free_uid [kernel] 0x39 (2.4.22-1.2197.nptlsmp)
eax: 00000000   ebx: f6a5ffa0   ecx: f6a5ffac   edx: 00000000
esi: ec888000   edi: 00000002   ebp: 00000000   esp: f6827f18
ds: 0068   es: 0068   ss: 0068
Process bash (pid: 8220, stackpage=f6827000)
Stack: f6a5ffa0 c03756ec f6826000 c01216db f6a5ffa0 ec888000 00003c3b
bff7c858
       c0128a34 ec888000 c0401218 c0400d80 00000000 00000002 ec8880d0
ec888000
       f6826000 f68260c8 c0128e81 ec888000 bff7c858 00000000 c01272e9
00000000
Call Trace:   [<c01216db>] __put_task_struct [kernel] 0x2b (0xf6827f24)
[<c0128a34>] wait_task_zombie [kernel] 0x144 (0xf6827f38)
[<c0128e81>] sys_wait4 [kernel] 0x241 (0xf6827f60)
[<c01272e9>] session_of_pgrp [kernel] 0x29 (0xf6827f70)
[<c0128f67>] sys_waitpid [kernel] 0x27 (0xf6827fac)
[<c0109b27>] system_call [kernel] 0x33 (0xf6827fc0)
                                                                     
                   
                                                                     
                   
Code: 89 50 04 89 02 c7 41 04 00 00 00 00 c7 43 0c 00 00 00 00 a1
                                                                     
                   
If there's anything else that I can provide, please let me know.

Best,
Erik.
Comment 2 Erik Williamson 2004-09-17 12:13:01 EDT
Eeep - Forgot to add myself to the CC list - sorry for the extra mail.
Comment 3 David Lawrence 2004-09-29 16:34:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.